﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_ISC_RES_CHECK_RECORD', 'T_ISC_RES_CHECK_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_RES_CHECK_RECORD') CREATE INDEX IDX_ISC_RES_CHECK_RECORD ON T_ISC_RES_CHECK_RECORD ( FKEY );


 EXEC P_ALTERPK 'PK_ISC_RES_CHECK_RESULT', 'T_ISC_RES_CHECK_RESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_CHECK_RESULT') CREATE INDEX IDX_RES_CHECK_RESULT ON T_ISC_RES_CHECK_RESULT ( FRISK_NUMBER );


 EXEC P_ALTERPK 'PK_ISC_RES_CHECK_LIST', 'T_ISC_RES_CHECK_LIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_RES_CHECK_LIST') CREATE UNIQUE INDEX IDX_ISC_RES_CHECK_LIST ON T_ISC_RES_CHECK_LIST ( FCHECK_NUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_SCRIPT_IN_X', 'T_ISC_APIC_SCRIPT_IN_X', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCRIPT_IN_X_1') CREATE INDEX IDX_SCRIPT_IN_X_1 ON T_ISC_APIC_SCRIPT_IN_X ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_SCRIPT_OUT_X', 'T_ISC_APIC_SCRIPT_OUT_X', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCRIPT_OUT_X_1') CREATE INDEX IDX_SCRIPT_OUT_X_1 ON T_ISC_APIC_SCRIPT_OUT_X ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_SCRIPT_RES_X', 'T_ISC_APIC_SCRIPT_RES_X', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCRIPT_RES_X_1') CREATE INDEX IDX_SCRIPT_RES_X_1 ON T_ISC_APIC_SCRIPT_RES_X ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_SCRIPT_X', 'T_ISC_APIC_SCRIPT_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCRIPT_X_1') CREATE INDEX IDX_SCRIPT_X_1 ON T_ISC_APIC_SCRIPT_X ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_SCRIPT_X_L', 'T_ISC_APIC_SCRIPT_X_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCRIPT_X_L_1') CREATE INDEX IDX_SCRIPT_X_L_1 ON T_ISC_APIC_SCRIPT_X_L ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_CN_CONFIG', 'T_ISC_CN_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CN_CONFIG_1') CREATE INDEX IDX_CN_CONFIG_1 ON T_ISC_CN_CONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_CN_CONFIG_L', 'T_ISC_CN_CONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CN_CONFIG_L_1') CREATE INDEX IDX_CN_CONFIG_L_1 ON T_ISC_CN_CONFIG_L ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_CONNECTION_TYPE_X', 'T_ISC_CONNECTION_TYPE_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CN_TYPE_X_1') CREATE INDEX IDX_CN_TYPE_X_1 ON T_ISC_CONNECTION_TYPE_X ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_CONNECTION_TYPE_X_L', 'T_ISC_CONNECTION_TYPE_X_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CN_TYPE_L_1') CREATE INDEX IDX_CN_TYPE_L_1 ON T_ISC_CONNECTION_TYPE_X_L ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_INTERFACE_CAT', 'T_ISC_INTERFACE_CAT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INTERFACE_C_1') CREATE INDEX IDX_INTERFACE_C_1 ON T_ISC_INTERFACE_CAT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_INTERFACE_CAT_L', 'T_ISC_INTERFACE_CAT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INTERFACE_C_L_1') CREATE INDEX IDX_INTERFACE_C_L_1 ON T_ISC_INTERFACE_CAT_L ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
