﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_RES_CHECK_RECORD') 
 CREATE TABLE T_ISC_RES_CHECK_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_RES_CHECK_RESULT') 
 CREATE TABLE T_ISC_RES_CHECK_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FRESOURCE_ID BIGINT DEFAULT 0 NOT NULL,
FRESOURCE_NUMBER NVARCHAR(150) DEFAULT ' ' NOT NULL,
FRESOURCE_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECK_NUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FRISK_NUMBER VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_RES_CHECK_LIST') 
 CREATE TABLE T_ISC_RES_CHECK_LIST (
FID BIGINT DEFAULT 0 NOT NULL,
FCHECK_NUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGROUP VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_SCRIPT_IN_X') 
 CREATE TABLE T_ISC_APIC_SCRIPT_IN_X (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINPUT_FIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FINPUT_DATA_TYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINPUT_IS_ARRAY CHAR(1) DEFAULT '0' NOT NULL,
FREQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FINPUT_DESCRIPTION VARCHAR(500) DEFAULT ' ' NOT NULL,
FDEFAULT_VALUE VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_SCRIPT_OUT_X') 
 CREATE TABLE T_ISC_APIC_SCRIPT_OUT_X (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOUTPUT_FIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTPUT_DATA_TYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOUTPUT_IS_ARRAY CHAR(1) DEFAULT '0' NOT NULL,
FOUTPUT_DESCRIPTION VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_SCRIPT_RES_X') 
 CREATE TABLE T_ISC_APIC_SCRIPT_RES_X (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(30) DEFAULT ' ' NOT NULL,
FRESOUCE BIGINT DEFAULT 0 NOT NULL,
FALIAS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_SCRIPT_X') 
 CREATE TABLE T_ISC_APIC_SCRIPT_X (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(500) DEFAULT ' ' NOT NULL,
FNOT_PUBLISH CHAR(1) DEFAULT '1' NOT NULL,
FRECORD_LOG CHAR(1) DEFAULT '0' NOT NULL,
FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FDISABLE_TRACE CHAR(1) DEFAULT '1' NOT NULL,
FIN_DIGEST VARCHAR(150) DEFAULT ' ' NOT NULL,
FOUT_DIGEST VARCHAR(150) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '1' NOT NULL,
FSCRIPT_TAG VARCHAR(255) DEFAULT ' ' NOT NULL,
FSCRIPT_TAG_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_SCRIPT_X_L') 
 CREATE TABLE T_ISC_APIC_SCRIPT_X_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CN_CONFIG') 
 CREATE TABLE T_ISC_CN_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATABASE_TYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCE_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FSERVER_IP VARCHAR(250) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPSECRET_NEW VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FTENANT VARCHAR(100) DEFAULT ' ' NOT NULL,
FUSER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEWPWD VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEWPWD_ENP NCLOB,
FSQL_DATABASE VARCHAR(100) DEFAULT ' ' NOT NULL,
FORACLE_SERVICE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXTFIELD10 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATA_CENTER VARCHAR(100) DEFAULT ' ' NOT NULL,
FEAS_SERVICE VARCHAR(100) DEFAULT ' ' NOT NULL,
FWEB_APP VARCHAR(100) DEFAULT ' ' NOT NULL,
FIERP_PROXY_USER BIGINT DEFAULT 0 NOT NULL,
FHTTP_PROTOCAL VARCHAR(30) DEFAULT ' ' NOT NULL,
FICID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAX_TPS BIGINT DEFAULT 0 NOT NULL,
FSERVER_PORT BIGINT DEFAULT 0 NOT NULL,
FATTR_1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_3 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_4 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_5 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_6 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_7 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_8 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_9 VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTR_E1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLICENSE_INFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FLICENSE_SN BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CN_CONFIG_L') 
 CREATE TABLE T_ISC_CN_CONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CONNECTION_TYPE_X') 
 CREATE TABLE T_ISC_CONNECTION_TYPE_X (
FID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(500) DEFAULT ' ' NOT NULL,
FFACTORY_CLASS VARCHAR(300) DEFAULT ' ' NOT NULL,
FCONFIG_FORM VARCHAR(100) DEFAULT ' ' NOT NULL,
FLOGIN_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FLOGIN_SCRIPT_TAG NCLOB,
FREFRESH_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FREFRESH_SCRIPT_TAG NCLOB,
FINVOKE_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FINVOKE_SCRIPT_TAG NCLOB,
FTEST_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FTEST_SCRIPT_TAG NCLOB,
FSCRIPT_EXTENSION VARCHAR(4000) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '1' NOT NULL,
FPERMIT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CONNECTION_TYPE_X_L') 
 CREATE TABLE T_ISC_CONNECTION_TYPE_X_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_INTERFACE_CAT') 
 CREATE TABLE T_ISC_INTERFACE_CAT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(150) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDESCRIBE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_INTERFACE_CAT_L') 
 CREATE TABLE T_ISC_INTERFACE_CAT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_SCHEMA_CATEGORY' AND KSQL_COL_NAME ='FPRESET') 
 ALTER TABLE T_ISC_SCHEMA_CATEGORY ADD (FPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATASOURCE' AND KSQL_COL_NAME ='FPRESET') 
 ALTER TABLE T_ISC_DATASOURCE ADD (FPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_CONNECTION_TYPE' AND KSQL_COL_NAME ='FPERMIT') 
 ALTER TABLE T_ISCB_CONNECTION_TYPE ADD (FPERMIT VARCHAR(255) DEFAULT ',INSERT,UPDATE,DELETE,' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_SCRIPT' AND KSQL_COL_NAME ='FPRESET') 
 ALTER TABLE T_ISCB_APIC_SCRIPT ADD (FPRESET CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
