﻿/**Begin D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SF_WAITING_SIGNAL') 
 CREATE TABLE T_ISC_SF_WAITING_SIGNAL (
FID BIGINT DEFAULT 0 NOT NULL,
FHASH_CODE INT DEFAULT 0 NOT NULL,
FSIGNAL_IDENTIFIER VARCHAR(500) DEFAULT ' ' NOT NULL,
FSERVICE_PROCESS_ID BIGINT DEFAULT 0 NOT NULL,
FSERVICE_PROCESS_NUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODE_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODE_TITLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATED_TIME DATETIME,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICE_FLOW_ID BIGINT DEFAULT 0 NOT NULL,
FACTIVITY_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTACK_TRACE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTACK_TRACE_TAG NCLOB,
FMODIFIED_TIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SF_WAITING_DATA') 
 CREATE TABLE T_ISC_SF_WAITING_DATA (
FID BIGINT DEFAULT 0 NOT NULL,
FSERVICE_FLOW_ID BIGINT DEFAULT 0 NOT NULL,
FNODE_TITLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODE_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATED_TIME DATETIME,
FDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FSIGNAL_IDENTIFIER VARCHAR(500) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIED_TIME DATETIME,
FHASH_CODE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SF_WAITING_EVENT') 
 CREATE TABLE T_ISC_SF_WAITING_EVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FSERVICE_FLOW_ID BIGINT DEFAULT 0 NOT NULL,
FNODE_TITLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODE_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNAL_FIELDS VARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATED_TIME DATETIME,
FMETA_SCHEMA BIGINT DEFAULT 0 NOT NULL,
FEVENTS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FENABLED CHAR(1) DEFAULT ' ' NOT NULL,
FREQUIRES VARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUIRES_TAG NCLOB
);



/**End D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/
