﻿/**Begin ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISCB_APIC_WEBAPI_L', 'T_ISCB_APIC_WEBAPI_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_WEBAPI_L_0') CREATE INDEX IDX_ISCB_APIC_WEBAPI_L_0 ON T_ISCB_APIC_WEBAPI_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_WEBAPI', 'T_ISCB_APIC_WEBAPI', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_WEBAPI_N') CREATE INDEX IDX_ISCB_APIC_WEBAPI_N ON T_ISCB_APIC_WEBAPI ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_WEBAPI_G') CREATE INDEX IDX_ISCB_APIC_WEBAPI_G ON T_ISCB_APIC_WEBAPI ( FGROUPID );


 EXEC P_ALTERPK 'PK_T_ISCB_WEB_REQ_BODY', 'T_ISCB_WEB_REQ_BODY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_WEB_REQ_BODY_FK') CREATE INDEX IDX_ISCB_WEB_REQ_BODY_FK ON T_ISCB_WEB_REQ_BODY ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_WEB_REQ_HEADER', 'T_ISCB_WEB_REQ_HEADER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_WEB_REQ_HEAD_FK') CREATE INDEX IDX_ISCB_WEB_REQ_HEAD_FK ON T_ISCB_WEB_REQ_HEADER ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_WEB_RESP_BODY', 'T_ISCB_WEB_RESP_BODY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_WEB_RESP_FK') CREATE INDEX IDX_ISCB_WEB_RESP_FK ON T_ISCB_WEB_RESP_BODY ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_WEB_URL_PARAMS', 'T_ISCB_WEB_URL_PARAMS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_WEB_URL_PARAMS_FK') CREATE INDEX IDX_ISCB_WEB_URL_PARAMS_FK ON T_ISCB_WEB_URL_PARAMS ( FID );



/**End ISCB_constraint.sql **/
