﻿/**Begin ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_WEBAPI_L') 
 CREATE TABLE T_ISCB_APIC_WEBAPI_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_WEBAPI') 
 CREATE TABLE T_ISCB_APIC_WEBAPI (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FCONN_TYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FTIMEOUT BIGINT DEFAULT 0 NOT NULL,
FCHARSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOKE_SCRIPT VARCHAR(255) DEFAULT ' ' NOT NULL,
FINVOKE_SCRIPT_TAG NCLOB,
FIN_DIGEST VARCHAR(100) DEFAULT ' ' NOT NULL,
FOUT_DIGEST VARCHAR(100) DEFAULT ' ' NOT NULL,
FMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FURL_PREFIX VARCHAR(255) DEFAULT ' ' NOT NULL,
FURL_PATH VARCHAR(255) DEFAULT ' ' NOT NULL,
FOMIT_EMPTY_PARAMS CHAR(1) DEFAULT '0' NOT NULL,
FSCRIPT_MODE CHAR(1) DEFAULT '0' NOT NULL,
FNEED_FORMAT_RESULT CHAR(1) DEFAULT '0' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_WEB_REQ_BODY')
 CREATE TABLE T_ISCB_WEB_REQ_BODY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FREQ_B_PARAM_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FREQ_B_PARAM_VALUE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FREQ_B_PARAM_DESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FREQ_B_PARAM_IS_ARRAY CHAR(1) DEFAULT '0' NOT NULL,
FREQ_B_PARAM_REQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FREQ_B_PARAM_EXAMPLE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FREQ_B_PARAM_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_WEB_REQ_HEADER')
 CREATE TABLE T_ISCB_WEB_REQ_HEADER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREQ_H_PARAM_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FREQ_H_PARAM_VALUE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FREQ_H_PARAM_DESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FREQ_H_PARAM_REQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FREQ_H_PARAM_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_WEB_RESP_BODY')
 CREATE TABLE T_ISCB_WEB_RESP_BODY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FRESP_B_PARAM_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESP_B_PARAM_VALUE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FRESP_B_PARAM_DESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESP_B_PARAM_IS_ARRAY CHAR(1) DEFAULT '0' NOT NULL,
FRESP_B_PARAM_REQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FRESP_B_PARAM_EXAMPLE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FRESP_B_PARAM_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_WEB_URL_PARAMS')
 CREATE TABLE T_ISCB_WEB_URL_PARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FURL_PARAM_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FURL_PARAM_VALUE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FURL_PARAM_DESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FURL_PARAM_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FURL_PARAM_REQUIRED CHAR(1) DEFAULT '0' NOT NULL
);



/**End ISCB_table.sql **/
