﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_ISCB_CONNECTION_TYPE', 'T_ISCB_CONNECTION_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_CN_TYPE_NUM') CREATE INDEX IDX_ISCB_CN_TYPE_NUM ON T_ISCB_CONNECTION_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_ISCB_DATASET_SCHEMA', 'T_ISCB_DATASET_SCHEMA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_DATASET_SCHEMA') CREATE INDEX IDX_ISCB_DATASET_SCHEMA ON T_ISCB_DATASET_SCHEMA ( FMETA_TYPE ,FDATA_SOURCE );


 EXEC P_ALTERPK 'PK_ISCB_DATASET_SCHEMA_L', 'T_ISCB_DATASET_SCHEMA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_DATASET_SCHEMA_L') CREATE INDEX IDX_ISCB_DATASET_SCHEMA_L ON T_ISCB_DATASET_SCHEMA_L ( FID ,FLOCALEID );


EXEC p_DropIdx 'IDX_ISC_MQ_EXT_L_FENTID', 'T_ISC_MQ_EXTEND_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_MQ_EXT_L_FENTID') CREATE INDEX IDX_ISC_MQ_EXT_L_FENTID ON T_ISC_MQ_EXTEND_L ( FENTRYID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_MQ_L_FID', 'T_ISC_MQ_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_MQ_L_FID') CREATE INDEX IDX_ISC_MQ_L_FID ON T_ISC_MQ_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_ERRCODE_L_FID', 'T_ISC_ERRORCODE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_ERRCODE_L_FID') CREATE INDEX IDX_ISC_ERRCODE_L_FID ON T_ISC_ERRORCODE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_BASEDT_L_FID', 'T_ISC_BASEDATATYPE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_BASEDT_L_FID') CREATE INDEX IDX_ISC_BASEDT_L_FID ON T_ISC_BASEDATATYPE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_METAMAPP_FID', 'T_ISC_METAMAPPING_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_METAMAPP_FID') CREATE INDEX IDX_ISC_METAMAPP_FID ON T_ISC_METAMAPPING_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_GUIDE_L_FID', 'T_ISC_GUIDE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_GUIDE_L_FID') CREATE INDEX IDX_ISC_GUIDE_L_FID ON T_ISC_GUIDE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_MQSER_FID', 'T_ISC_MQSERVICE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_MQSER_FID') CREATE INDEX IDX_ISC_MQSER_FID ON T_ISC_MQSERVICE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_HISTORYF_FID', 'T_ISC_HISTORYFILTER_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_HISTORYF_FID') CREATE INDEX IDX_ISC_HISTORYF_FID ON T_ISC_HISTORYFILTER_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_SYSTEM_L_FID', 'T_ISC_SYSTEM_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SYSTEM_L_FID') CREATE INDEX IDX_ISC_SYSTEM_L_FID ON T_ISC_SYSTEM_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_SYSTEME_L_FENTID', 'T_ISC_SYSTEMENTRY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SYSTEME_L_FENTID') CREATE INDEX IDX_ISC_SYSTEME_L_FENTID ON T_ISC_SYSTEMENTRY_L ( FENTRYID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_SERVICE_L_FID', 'T_ISC_SERVICE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_L_FID') CREATE INDEX IDX_ISC_SERVICE_L_FID ON T_ISC_SERVICE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_CONN_L_FID', 'T_ISC_CONNECTION_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_CONN_L_FID') CREATE INDEX IDX_ISC_CONN_L_FID ON T_ISC_CONNECTION_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_BDYE_L_FENTYID', 'T_ISC_BASEDATATYPEENTRY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_BDYE_L_FENTYID') CREATE INDEX IDX_ISC_BDYE_L_FENTYID ON T_ISC_BASEDATATYPEENTRY_L ( FENTRYID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_ENTITY_L_FID', 'T_ISC_EASENTITY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_ENTITY_L_FID') CREATE INDEX IDX_ISC_ENTITY_L_FID ON T_ISC_EASENTITY_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_SERVIE_L_FENTID', 'T_ISC_SERVICEENTRY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVIE_L_FENTID') CREATE INDEX IDX_ISC_SERVIE_L_FENTID ON T_ISC_SERVICEENTRY_L ( FENTRYID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_GLTREE_L_FID', 'T_ISC_GUIDELEFTTREE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_GLTREE_L_FID') CREATE INDEX IDX_ISC_GLTREE_L_FID ON T_ISC_GUIDELEFTTREE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_CONNTYPE_L_FID', 'T_ISC_CONNTYPE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_CONNTYPE_L_FID') CREATE INDEX IDX_ISC_CONNTYPE_L_FID ON T_ISC_CONNTYPE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISCB_DATA_COPY_L_0', 'T_ISCB_DATA_COPY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_DATA_COPY_L_0') CREATE INDEX IDX_ISCB_DATA_COPY_L_0 ON T_ISCB_DATA_COPY_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_DATA_COPY_EXEC_L_0', 'T_ISC_DATA_COPY_EXECUTION_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DATA_COPY_EXEC_L_0') CREATE INDEX IDX_DATA_COPY_EXEC_L_0 ON T_ISC_DATA_COPY_EXECUTION_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_VACONRU_L_FID', 'T_ISC_VALUE_CONVER_RULE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_VACONRU_L_FID') CREATE INDEX IDX_ISC_VACONRU_L_FID ON T_ISC_VALUE_CONVER_RULE_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISCB_BASSC_L_FID', 'T_ISCB_BASE_SCHEMA_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_BASSC_L_FID') CREATE INDEX IDX_ISCB_BASSC_L_FID ON T_ISCB_BASE_SCHEMA_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_BASDAT_L_FID', 'T_ISCB_BASIC_DATA_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_BASDAT_L_FID') CREATE INDEX IDX_ISC_BASDAT_L_FID ON T_ISCB_BASIC_DATA_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_MAPPDATA_L_FID', 'T_ISC_MAPPING_DATA_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_MAPPDATA_L_FID') CREATE INDEX IDX_ISC_MAPPDATA_L_FID ON T_ISC_MAPPING_DATA_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_DEMO_BASE_1_L', 'T_ISC_DEMO_BASEDATA_1_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE_1_L') CREATE INDEX IDX_ISC_DEMO_BASE_1_L ON T_ISC_DEMO_BASEDATA_1_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_DEMO_BASE_2_L', 'T_ISC_DEMO_BASEDATA_2_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE_2_L') CREATE INDEX IDX_ISC_DEMO_BASE_2_L ON T_ISC_DEMO_BASEDATA_2_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'IDX_ISC_DEMO_BASE_5_L', 'T_ISC_DEMO_BASEDATA_5_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE_5_L') CREATE INDEX IDX_ISC_DEMO_BASE_5_L ON T_ISC_DEMO_BASEDATA_5_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_ISCB_CONNECTION_TYPE_L', 'T_ISCB_CONNECTION_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_CN_TYPE_L_1') CREATE INDEX IDX_ISCB_CN_TYPE_L_1 ON T_ISCB_CONNECTION_TYPE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
