/**Begin D:\tool\PDM_UPGRADE\pdm_new\ISCB_constraint.sql **/
EXEC P_ALTERPK 'PK_T_ISCB_DTS_SRC_CONVERT', 'T_ISCB_DTS_SRC_CONVERT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_SRC_CONV_ID') CREATE INDEX IDX_ISCB_SRC_CONV_ID ON T_ISCB_DTS_SRC_CONVERT ( FBILLNO );


EXEC P_ALTERPK 'PK_T_ISCB_DTS_DS_MAPPING', 'T_ISCB_DTS_DS_MAPPING', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_DTS_DS_MAPPING_FK') CREATE INDEX IDX_ISCB_DTS_DS_MAPPING_FK ON T_ISCB_DTS_DS_MAPPING ( FID );


EXEC P_ALTERPK 'PK_T_ISCB_DTS_CONV_RRS2', 'T_ISCB_DTS_CONV_RRS2', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_DTS_CONV_RRS2_FK') CREATE INDEX IDX_ISCB_DTS_CONV_RRS2_FK ON T_ISCB_DTS_CONV_RRS2 ( FID );


EXEC P_ALTERPK 'PK_T_ISCB_DTS_CONV_RES_FILE', 'T_ISCB_DTS_CONV_RES_FILE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_SRC_CONV_FILE_FK') CREATE INDEX IDX_ISCB_SRC_CONV_FILE_FK ON T_ISCB_DTS_CONV_RES_FILE ( FID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_SRC_CONV_FILE_RESPK') CREATE INDEX IDX_ISCB_SRC_CONV_FILE_RESPK ON T_ISCB_DTS_CONV_RES_FILE ( FRES_PK );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_SRC_CONV_FILE_SEQ') CREATE INDEX IDX_ISCB_SRC_CONV_FILE_SEQ ON T_ISCB_DTS_CONV_RES_FILE ( FSEQ );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_SRC_CONV_FILE_FILEID') CREATE INDEX IDX_ISCB_SRC_CONV_FILE_FILEID ON T_ISCB_DTS_CONV_RES_FILE ( FFILEID );



/**End D:\tool\PDM_UPGRADE\pdm_new\ISCB_constraint.sql **/
