﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_ISCB_MQ_PUBLISHER', 'T_ISCB_MQ_PUBLISHER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_PUBLISHER') CREATE INDEX IDX_ISCB_MQ_PUBLISHER ON T_ISCB_MQ_PUBLISHER ( FNUMBER ,FMQ_SERVER );


 EXEC P_ALTERPK 'PK_ISCB_MQ_PUBLISHER_L', 'T_ISCB_MQ_PUBLISHER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_PUB_L') CREATE INDEX IDX_ISCB_MQ_PUB_L ON T_ISCB_MQ_PUBLISHER_L ( FID ,FNAME );


 EXEC P_ALTERPK 'PK_ISCB_MQ_SERVER', 'T_ISCB_MQ_SERVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_SERVER') CREATE INDEX IDX_ISCB_MQ_SERVER ON T_ISCB_MQ_SERVER ( FNUMBER );


 EXEC P_ALTERPK 'PK_ISCB_MQ_SERVER_L', 'T_ISCB_MQ_SERVER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_SERVER_L') CREATE INDEX IDX_ISCB_MQ_SERVER_L ON T_ISCB_MQ_SERVER_L ( FID ,FNAME );


 EXEC P_ALTERPK 'PK_ISCB_MQ_SUBSCRIBER', 'T_ISCB_MQ_SUBSCRIBER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_SUB') CREATE INDEX IDX_ISCB_MQ_SUB ON T_ISCB_MQ_SUBSCRIBER ( FNUMBER );


 EXEC P_ALTERPK 'PK_ISCB_MQ_SUBSCRIBER_L', 'T_ISCB_MQ_SUBSCRIBER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_SUB_L') CREATE INDEX IDX_ISCB_MQ_SUB_L ON T_ISCB_MQ_SUBSCRIBER_L ( FID ,FNAME );


 EXEC P_ALTERPK 'PK_ISC_DATA_COPY_TRIGGER_F', 'T_ISC_DATA_COPY_TRIGGER_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DC_TRIGGER_F') CREATE INDEX IDX_ISC_DC_TRIGGER_F ON T_ISC_DATA_COPY_TRIGGER_F ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_ISCB_MQ_DATA_PUBLISHED', 'T_ISCB_MQ_DATA_PUBLISHED', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_DATA_PUB') CREATE INDEX IDX_ISCB_MQ_DATA_PUB ON T_ISCB_MQ_DATA_PUBLISHED ( FMESSAGE_QUEUE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_DATA_PUB_2') CREATE INDEX IDX_ISCB_MQ_DATA_PUB_2 ON T_ISCB_MQ_DATA_PUBLISHED ( FPUBLISHED_TIME  DESC );


 EXEC P_ALTERPK 'PK_ISCB_MQ_DATA_RECEIVED', 'T_ISCB_MQ_DATA_RECEIVED', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_DATA_REC_1') CREATE INDEX IDX_ISCB_MQ_DATA_REC_1 ON T_ISCB_MQ_DATA_RECEIVED ( FEXECUTION ,FMESSAGE_QUEUE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_DATA_REC_2') CREATE INDEX IDX_ISCB_MQ_DATA_REC_2 ON T_ISCB_MQ_DATA_RECEIVED ( FRECEIVED_TIME  DESC );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
