﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME ='FTARGET_SCRIPT') 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FTARGET_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME ='FTARGET_SCRIPT_TAG') 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FTARGET_SCRIPT_TAG NCLOB );
/**注意：以下脚本已复制到22版本的sql中执行**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_BILL_DATA_PUB_F') 
 CREATE TABLE T_ISCB_MQ_BILL_DATA_PUB_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT,
FFIELD VARCHAR(300) DEFAULT ' ' NOT NULL,
FDATA_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_BILL_DATA_PUB_L') 
 CREATE TABLE T_ISCB_MQ_BILL_DATA_PUB_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_MQ_DATA_PUBLISHED' AND KSQL_COL_NAME ='FDATA_PRODUCER') 
 ALTER TABLE T_ISCB_MQ_DATA_PUBLISHED ADD (FDATA_PRODUCER VARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_BILL_DATA_PUB') 
 CREATE TABLE T_ISCB_MQ_BILL_DATA_PUB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATA_SOURCE BIGINT DEFAULT 0 NOT NULL,
FEVENTS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FMETA_DATA BIGINT DEFAULT 0 NOT NULL,
FMESSAGE_QUEUE BIGINT DEFAULT 0 NOT NULL,
FFORMAT_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FFORMAT_SCRIPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_META_OUT') 
 CREATE TABLE T_ISCB_APIC_BY_META_OUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOUTPUT_FIELD VARCHAR(300) DEFAULT ' ' NOT NULL,
FOUTPUT_DATA_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FOUTPUT_DESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_META_DATA') 
 CREATE TABLE T_ISCB_APIC_BY_META_DATA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATA_SOURCE BIGINT DEFAULT 0 NOT NULL,
FMETADATA BIGINT DEFAULT 0 NOT NULL,
FOPERATION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_META_DATA_L') 
 CREATE TABLE T_ISCB_APIC_BY_META_DATA_L (
FPKID VARCHAR(20) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_META_IN') 
 CREATE TABLE T_ISCB_APIC_BY_META_IN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINPUT_DATA_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINPUT_DESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL,
FIS_REQUIRED CHAR(1) DEFAULT ' ' NOT NULL,
FIS_PRIMARY_KEY CHAR(1) DEFAULT ' ' NOT NULL,
FINPUT_FIELD VARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_BILL_DATA_SUB') 
 CREATE TABLE T_ISCB_MQ_BILL_DATA_SUB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATA_SOURCE BIGINT DEFAULT 0 NOT NULL,
FMETA_DATA BIGINT DEFAULT 0 NOT NULL,
FMESSAGE_QUEUE BIGINT DEFAULT 0 NOT NULL,
FPREHANDLE_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FPREHANDLE_SCRIPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_BILL_DATA_SUB_F') 
 CREATE TABLE T_ISCB_MQ_BILL_DATA_SUB_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELD VARCHAR(300) DEFAULT ' ' NOT NULL,
FDATA_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FDEFAULT_VALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCANDIDATE_KEY CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_BILL_DATA_SUB_L') 
 CREATE TABLE T_ISCB_MQ_BILL_DATA_SUB_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_BILL_DATA_SUB_O') 
 CREATE TABLE T_ISCB_MQ_BILL_DATA_SUB_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONDITION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
