﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COPY_TASKSTAGE') 
 CREATE TABLE T_ISC_DATA_COPY_TASKSTAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATA_COPY BIGINT DEFAULT 0 NOT NULL,
FHOST VARCHAR(150) DEFAULT ' ' NOT NULL,
FDATA_TRIGGER BIGINT DEFAULT 0 NOT NULL,
FBEGIN_TIME DATETIME,
FEND_TIME DATETIME,
FTOTAL_COUNT BIGINT DEFAULT 0 NOT NULL,
FTOTAL_BATCH BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOG VARCHAR(255) DEFAULT ' ' NOT NULL,
FLOG_TAG NCLOB,
FTOTAL_SUCCESS BIGINT DEFAULT 0 NOT NULL,
FTOTAL_FAILED BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COPY_TASKSTAGE_L') 
 CREATE TABLE T_ISC_DATA_COPY_TASKSTAGE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_CALL_API_LOG' AND KSQL_COL_NAME ='FDATA_TRIGGER') 
 ALTER TABLE T_ISC_CALL_API_LOG ADD (FDATA_TRIGGER BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_ISCB_APIC_BY_DC_TRIGGER', 'FNUMBER', 'VARCHAR(50)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_ISCB_APIC_BY_DC_TRIGGER', 'FRECORD_LOG', 'CHAR(1)', 'NOT NULL', '0010', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DEMO1_FILE') 
 CREATE TABLE T_ISC_DEMO1_FILE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DEMO2_FILE') 
 CREATE TABLE T_ISC_DEMO2_FILE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
