﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_VC', 'T_ISCB_APIC_BY_VC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_VC_N') CREATE INDEX IDX_ISCB_APIC_BY_VC_N ON T_ISCB_APIC_BY_VC ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_VC_M') CREATE INDEX IDX_ISCB_APIC_BY_VC_M ON T_ISCB_APIC_BY_VC ( FMODIFYTIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_VC_S') CREATE INDEX IDX_ISCB_APIC_BY_VC_S ON T_ISCB_APIC_BY_VC ( FSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_VC_G') CREATE INDEX IDX_ISCB_APIC_BY_VC_G ON T_ISCB_APIC_BY_VC ( FGROUPID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASE3_MD1', 'T_ISC_DEMO_BASE3_MD1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE3_MD1') CREATE INDEX IDX_ISC_DEMO_BASE3_MD1 ON T_ISC_DEMO_BASE3_MD1 ( FID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASE5_MD1', 'T_ISC_DEMO_BASE5_MD1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE5_MD1') CREATE INDEX IDX_ISC_DEMO_BASE5_MD1 ON T_ISC_DEMO_BASE5_MD1 ( FID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASEDATA_3_E1', 'T_ISC_DEMO_BASEDATA_3_E1', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE3_E1') CREATE INDEX IDX_ISC_DEMO_BASE3_E1 ON T_ISC_DEMO_BASEDATA_3_E1 ( FID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASEDATA_3_E2', 'T_ISC_DEMO_BASEDATA_3_E2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE3_E2') CREATE INDEX IDX_ISC_DEMO_BASE3_E2 ON T_ISC_DEMO_BASEDATA_3_E2 ( FENTRYID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASEDATA_3_MU1', 'T_ISC_DEMO_BASEDATA_3_MU1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE3_MU1') CREATE INDEX IDX_ISC_DEMO_BASE3_MU1 ON T_ISC_DEMO_BASEDATA_3_MU1 ( FENTRYID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASEDATA_3_MU2', 'T_ISC_DEMO_BASEDATA_3_MU2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE3_MU2') CREATE INDEX IDX_ISC_DEMO_BASE3_MU2 ON T_ISC_DEMO_BASEDATA_3_MU2 ( FDETAILID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASEDATA_5_MU1', 'T_ISC_DEMO_BASEDATA_5_MU1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE5_MU1') CREATE INDEX IDX_ISC_DEMO_BASE5_MU1 ON T_ISC_DEMO_BASEDATA_5_MU1 ( FENTRYID );


 EXEC P_ALTERPK 'PK_ISC_DEMO_BASEDATA_5_MU2', 'T_ISC_DEMO_BASEDATA_5_MU2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DEMO_BASE5_MU2') CREATE INDEX IDX_ISC_DEMO_BASE5_MU2 ON T_ISC_DEMO_BASEDATA_5_MU2 ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_VC_L', 'T_ISCB_APIC_BY_VC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_VC_L') CREATE INDEX IDX_ISCB_APIC_BY_VC_L ON T_ISCB_APIC_BY_VC_L ( FID ,FLOCALEID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_LOOKUP_SOID') CREATE INDEX IDX_ISCB_LOOKUP_SOID ON T_ISCB_OID_LOOKUP ( FSOURCE_OID );

 EXEC P_ALTERPK 'PK_T_ISC_CLEAR_RECORD', 'T_ISC_CLEAR_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_ISC_CLEAR_RECORD_L') CREATE INDEX T_ISC_CLEAR_RECORD_L ON T_ISC_CLEAR_RECORD ( FLAST_TIMER  DESC );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
