﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RUNTIME_STAT') 
 CREATE TABLE T_ISCB_RUNTIME_STAT (
FID BIGINT DEFAULT 0 NOT NULL,
FMQ_PUBLISHED_BYTES BIGINT DEFAULT 0 NOT NULL,
FMQ_CONSUMED_BYTES BIGINT DEFAULT 0 NOT NULL,
FDCR_TOTAL_COUNT BIGINT DEFAULT 0 NOT NULL,
FMQ_PUBISHED_COUNT BIGINT DEFAULT 0 NOT NULL,
FMQ_CONSUMED_COUNT BIGINT DEFAULT 0 NOT NULL,
FDCR_FAILED_COUNT BIGINT DEFAULT 0 NOT NULL,
FSF_TOTAL_COUNT BIGINT DEFAULT 0 NOT NULL,
FSF_FAILED_COUNT BIGINT DEFAULT 0 NOT NULL,
FAPI_TOTAL_COUNT BIGINT DEFAULT 0 NOT NULL,
FAPI_FAILED_COUNT BIGINT DEFAULT 0 NOT NULL,
FCREATED_TIME DATETIME,
FPERIOD_HOUR BIGINT DEFAULT 0 NOT NULL,
FPERIOD_DAY BIGINT DEFAULT 0 NOT NULL,
FPERIOD_WEEK BIGINT DEFAULT 0 NOT NULL,
FPERIOD_MONTH BIGINT DEFAULT 0 NOT NULL,
FPERIOD_QUARTER BIGINT DEFAULT 0 NOT NULL,
FPERIOD_YEAR BIGINT DEFAULT 0 NOT NULL,
FSERVER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDCT_TOTAL_COUNT BIGINT DEFAULT 0 NOT NULL,
FDCT_FAILED_COUNT BIGINT DEFAULT 0 NOT NULL,
FDCW_TOTAL_COUNT BIGINT DEFAULT 0 NOT NULL,
FDCW_FAILED_COUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_SERVICE_FLOW' AND KSQL_COL_NAME ='FLOGLEVEL') 
 ALTER TABLE T_ISC_SERVICE_FLOW ADD (FLOGLEVEL VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_SERVICE_FLOW' AND KSQL_COL_NAME ='FCOMMENT') 
 ALTER TABLE T_ISC_SERVICE_FLOW ADD (FCOMMENT VARCHAR(100) DEFAULT ' ' );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
