﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SCHEMA_ENPT_LOG') 
 CREATE TABLE T_ISC_SCHEMA_ENPT_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(150) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOG VARCHAR(255) DEFAULT ' ' NOT NULL,
FLOG_TAG NCLOB,
FSCHEMAID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATAPROPERTY' AND KSQL_COL_NAME ='FIS_ENCRYPT') 
 ALTER TABLE T_ISC_DATAPROPERTY ADD (FIS_ENCRYPT CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_SF') 
 CREATE TABLE T_ISCB_APIC_BY_SF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FSERVICE_FLOW_ID BIGINT DEFAULT 0 NOT NULL,
FRECORD_LOG CHAR(1) DEFAULT '0' NOT NULL,
FNOT_PUBLISH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_SF_L') 
 CREATE TABLE T_ISCB_APIC_BY_SF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COMP') 
 CREATE TABLE T_ISC_DATA_COMP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT,
FMODIFIERID BIGINT,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT,
FGROUPID BIGINT,
FSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRC_TS_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTAR_TS_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTS_EXPR NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDATA_COPY BIGINT,
FTRIGGER BIGINT,
FREMARK NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COMP_EXE') 
 CREATE TABLE T_ISC_DATA_COMP_EXE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT,
FMODIFIERID BIGINT,
FAUDITORID BIGINT,
FAUDITDATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATA_COMP BIGINT,
FTAR_NO_SAME_COUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECUTE_COUNT BIGINT,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONCLUSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTAR_NO_EXIST_COUNT BIGINT,
FTAR_NO_SYN_COUNT BIGINT,
FSOURCE_COUNT BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COMP_EXE_DET') 
 CREATE TABLE T_ISC_DATA_COMP_EXE_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT,
FMODIFIERID BIGINT,
FAUDITORID BIGINT,
FAUDITDATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATA_COMP_EXE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE_DATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCE_DATA_TAG NCLOB,
FTARGET_DATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARGET_DATA_TAG NCLOB,
FREAL_DATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREAL_DATA_TAG NCLOB,
FMESSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COMP_FILTER') 
 CREATE TABLE T_ISC_DATA_COMP_FILTER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFILTER_LEFT_BRACKET CHAR(1) DEFAULT ' ' NOT NULL,
FFILTER_COLUMN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_LABEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_COMPARE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTER_VALUE_VAR NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTER_VALUE_FIXED NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_RIGHT_BRACKET CHAR(1) DEFAULT ' ' NOT NULL,
FFILTER_LINK NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COMP_L') 
 CREATE TABLE T_ISC_DATA_COMP_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COMP_PARAMS') 
 CREATE TABLE T_ISC_DATA_COMP_PARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARAM_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_TITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPARAM_REMARK NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_EXE_PARAMS') 
 CREATE TABLE T_ISC_DATA_EXE_PARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARAM_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_TITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_VALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
