﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME ='FSRC_RETRIEVE_SCRIPT') 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FSRC_RETRIEVE_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME ='FSRC_RETRIEVE_SCRIPT_TAG') 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FSRC_RETRIEVE_SCRIPT_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXTERNAL_API' AND KSQL_COL_NAME ='FSCHEMA_CATEGORY') 
 ALTER TABLE T_ISCB_EXTERNAL_API ADD (FSCHEMA_CATEGORY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_MQ_STARTER_LOG') 
 CREATE TABLE T_ISC_MQ_STARTER_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FFUNCTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOID VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVED_TIME DATETIME,
FMESSAGEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAIL_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_SF' AND KSQL_COL_NAME ='FAUTH_REQUIRED') 
 ALTER TABLE T_ISCB_APIC_BY_SF ADD (FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_TRIGGER' AND KSQL_COL_NAME ='FSCHEMA_CATEGORY') 
 ALTER TABLE T_ISCB_APIC_BY_DC_TRIGGER ADD (FSCHEMA_CATEGORY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_TRIGGER' AND KSQL_COL_NAME ='FAUTH_REQUIRED') 
 ALTER TABLE T_ISCB_APIC_BY_DC_TRIGGER ADD (FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_META_DATA' AND KSQL_COL_NAME ='FSCHEMA_CATEGORY') 
 ALTER TABLE T_ISCB_APIC_BY_META_DATA ADD (FSCHEMA_CATEGORY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_META_DATA' AND KSQL_COL_NAME ='FAUTH_REQUIRED') 
 ALTER TABLE T_ISCB_APIC_BY_META_DATA ADD (FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_VC' AND KSQL_COL_NAME ='FSCHEMA_CATEGORY') 
 ALTER TABLE T_ISCB_APIC_BY_VC ADD (FSCHEMA_CATEGORY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_VC' AND KSQL_COL_NAME ='FAUTH_REQUIRED') 
 ALTER TABLE T_ISCB_APIC_BY_VC ADD (FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_SCHEMA' AND KSQL_COL_NAME ='FSCHEMA_CATEGORY') 
 ALTER TABLE T_ISCB_APIC_BY_DC_SCHEMA ADD (FSCHEMA_CATEGORY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_SCHEMA' AND KSQL_COL_NAME ='FAUTH_REQUIRED') 
 ALTER TABLE T_ISCB_APIC_BY_DC_SCHEMA ADD (FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_ISC_DATA_COMP', 'FCREATORID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP', 'FMODIFIERID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP', 'FMASTERID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP', 'FGROUPID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP', 'FDATA_COPY', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP', 'FTRIGGER', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FCREATORID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FMODIFIERID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FAUDITORID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FDATA_COMP', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FEXECUTE_COUNT', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FTAR_NO_EXIST_COUNT', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FTAR_NO_SYN_COUNT', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE', 'FSOURCE_COUNT', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE_DET', 'FCREATORID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE_DET', 'FMODIFIERID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE_DET', 'FAUDITORID', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE_DET', 'FSRC_PK', 'NVARCHAR(20)', 'NOT NULL', '0010', ''' ''';

 EXEC p_AlterColumn 'T_ISC_DATA_COMP_EXE_DET', 'FCOMPENSATE_STATE', 'NVARCHAR(10)', 'NOT NULL', '0010', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COMP_EXE_DET' AND KSQL_COL_NAME ='FAUDITDATE') 
 ALTER TABLE T_ISC_DATA_COMP_EXE_DET ADD (FAUDITDATE DATETIME );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_TRIGGER' AND KSQL_COL_NAME IN ('FDESCRIPTION')) 
 ALTER TABLE T_ISCB_APIC_BY_DC_TRIGGER ADD (FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_META_DATA' AND KSQL_COL_NAME IN ('FDESCRIPTION')) 
 ALTER TABLE T_ISCB_APIC_BY_META_DATA ADD (FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_SCHEMA' AND KSQL_COL_NAME IN ('FDESCRIPTION')) 
 ALTER TABLE T_ISCB_APIC_BY_DC_SCHEMA ADD (FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_VC' AND KSQL_COL_NAME IN ('FDESCRIPTION')) 
 ALTER TABLE T_ISCB_APIC_BY_VC ADD (FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_SF' AND KSQL_COL_NAME IN ('FDESCRIPTION')) 
 ALTER TABLE T_ISCB_APIC_BY_SF ADD (FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL ); 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_MQ_SERVER' AND KSQL_COL_NAME ='FENCRYPT_TRANSPORT') 
 ALTER TABLE T_ISCB_MQ_SERVER ADD (FENCRYPT_TRANSPORT CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
