﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISCB_BIZ_TRACE_TREE', 'T_ISCB_BIZ_TRACE_TREE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_TRACE_ID') CREATE INDEX IDX_ISC_TRACE_ID ON T_ISCB_BIZ_TRACE_TREE ( FTRACE_ID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_TRACE_PRI_ID') CREATE INDEX IDX_ISC_TRACE_PRI_ID ON T_ISCB_BIZ_TRACE_TREE ( FPRIOR_ID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_TRACE_DEF_ID') CREATE INDEX IDX_ISC_TRACE_DEF_ID ON T_ISCB_BIZ_TRACE_TREE ( FTASK_DEF_ID );


 EXEC P_ALTERPK 'PK_T_ISCB_MSERVICE_API', 'T_ISCB_MSERVICE_API', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MSERVICE_API_N') CREATE INDEX IDX_ISCB_MSERVICE_API_N ON T_ISCB_MSERVICE_API ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISCB_MSERVICE_API_L', 'T_ISCB_MSERVICE_API_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MSERVICE_API_L_0') CREATE INDEX IDX_ISCB_MSERVICE_API_L_0 ON T_ISCB_MSERVICE_API_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISCB_MSERVICE_API_IN', 'T_ISCB_MSERVICE_API_IN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MSERVICE_API_IN') CREATE INDEX IDX_ISCB_MSERVICE_API_IN ON T_ISCB_MSERVICE_API_IN ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_MSERVICE_API_OUT', 'T_ISCB_MSERVICE_API_OUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MSERVICE_API_OUT') CREATE INDEX IDX_ISCB_MSERVICE_API_OUT ON T_ISCB_MSERVICE_API_OUT ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
