﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_HELP_ITEM' AND KSQL_COL_NAME ='FAUTHOR') 
 ALTER TABLE T_ISCB_HELP_ITEM ADD (FAUTHOR NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_BIZ_TRACE_TREE') 
 CREATE TABLE T_ISCB_BIZ_TRACE_TREE (
FID BIGINT DEFAULT 0 NOT NULL,
FTASK_NUMBER NVARCHAR(150) DEFAULT ' ' NOT NULL,
FPRIOR_ID BIGINT DEFAULT 0 NOT NULL,
FSTART_TIME DATETIME,
FTASK_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRIOR_TAG VARCHAR(100) DEFAULT ' ' NOT NULL,
FTASK_DEF_ID BIGINT DEFAULT 0 NOT NULL,
FELAPSED_TIME BIGINT DEFAULT 0 NOT NULL,
FTRACE_ID BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MSERVICE_API') 
 CREATE TABLE T_ISCB_MSERVICE_API (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY BIGINT DEFAULT 0 NOT NULL,
FCLOUDID VARCHAR(200) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICE_NAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICE_TYPE VARCHAR(60) DEFAULT ' ' NOT NULL,
FRECORD_LOG CHAR(1) DEFAULT '0' NOT NULL,
FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION VARCHAR(200) DEFAULT ' ' NOT NULL,
FNOT_PUBLISH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MSERVICE_API_L') 
 CREATE TABLE T_ISCB_MSERVICE_API_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MSERVICE_API_IN') 
 CREATE TABLE T_ISCB_MSERVICE_API_IN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINPUT_DESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FINPUT_FIELD VARCHAR(150) DEFAULT ' ' NOT NULL,
FINPUT_DATA_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MSERVICE_API_OUT') 
 CREATE TABLE T_ISCB_MSERVICE_API_OUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOUTPUT_FIELD VARCHAR(150) DEFAULT ' ' NOT NULL,
FOUTPUT_DESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FOUTPUT_DATA_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
