﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_IMP_HEADER') 
 CREATE TABLE T_ISCB_DTS_IMP_HEADER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FPROGRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRES_TYPE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_IMP_MRS') 
 CREATE TABLE T_ISCB_DTS_IMP_MRS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRES_TIME DATETIME,
FLOCAL_TIME DATETIME,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRES_PK BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFILE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCONTENT NCLOB,
FSTACK_TRACE NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_IMP_RRS') 
 CREATE TABLE T_ISCB_DTS_IMP_RRS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRES_PK BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRES_TIME DATETIME,
FLOCAL_TIME DATETIME,
FTYPE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFILE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCONTENT NCLOB,
FSTACK_TRACE NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_IMPORT_FILE_LOG' AND KSQL_COL_NAME ='FMODIFIED_TIME') 
 ALTER TABLE T_ISCB_IMPORT_FILE_LOG ADD (FMODIFIED_TIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_IMPORT_FILE_LOG' AND KSQL_COL_NAME ='FJUDGEFIELDS') 
 ALTER TABLE T_ISCB_IMPORT_FILE_LOG ADD (FJUDGEFIELDS NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_IMPORT_FILE_JOB' AND KSQL_COL_NAME ='FBATCH_SIZE') 
 ALTER TABLE T_ISCB_IMPORT_FILE_JOB ADD (FBATCH_SIZE INT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
