-- 修改表T_ISCB_VALUE_CONV_CACHE源FSRC大小写问题
alter table T_ISCB_VALUE_CONV_CACHE add temp varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ' ';
update T_ISCB_VALUE_CONV_CACHE set temp = FSRC;
-- 删除索引
DROP INDEX IDX_ISCB_VALUE_CONV_CACHE ON T_ISCB_VALUE_CONV_CACHE;

alter table T_ISCB_VALUE_CONV_CACHE drop column FSRC;
alter table T_ISCB_VALUE_CONV_CACHE add FSRC varchar(200) BINARY COLLATE utf8_bin NOT NULL DEFAULT ' ';
update T_ISCB_VALUE_CONV_CACHE set FSRC = temp;
alter table T_ISCB_VALUE_CONV_CACHE drop column temp; 

-- 添加索引
CREATE INDEX IDX_ISCB_VALUE_CONV_CACHE ON T_ISCB_VALUE_CONV_CACHE ( FCONVERT_RULE ,FSRC );

-- 修改表t_iscb_bill_log_relation的oid大小写问题
alter table T_ISCB_BILL_LOG_RELATION add temp varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ' ';
update T_ISCB_BILL_LOG_RELATION set temp = FOID;
alter table T_ISCB_BILL_LOG_RELATION drop column FOID;
alter table T_ISCB_BILL_LOG_RELATION add FOID varchar(100) BINARY COLLATE utf8_bin NOT NULL DEFAULT ' ';
update T_ISCB_BILL_LOG_RELATION set FOID = temp;
alter table T_ISCB_BILL_LOG_RELATION drop column temp; 