/**Begin D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_SRC_CONVERT')
CREATE TABLE T_ISCB_DTS_SRC_CONVERT (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FBILLNO VARCHAR(30),
                                        FBILLSTATUS VARCHAR(50),
                                        FCREATORID BIGINT,
                                        FMODIFIERID BIGINT,
                                        FAUDITORID BIGINT,
                                        FAUDITDATE DATETIME,
                                        FMODIFYTIME DATETIME,
                                        FCREATETIME DATETIME,
                                        FREMARK VARCHAR(150),
                                        FRES_TYPE VARCHAR(36),
                                        FSTATE VARCHAR(50),
                                        FPROGRESS VARCHAR(50),
                                        FMODE VARCHAR(50),
                                        FISV VARCHAR(100),
                                        FPROTECT_LEVEL VARCHAR(50),
                                        FSOURCE_TENANT VARCHAR(100),
                                        FSOURCE_TRACE VARCHAR(600)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_DS_MAPPING')
CREATE TABLE T_ISCB_DTS_DS_MAPPING (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT,
                                       FSRC_PK VARCHAR(50),
                                       FSRC_NUMBER VARCHAR(50),
                                       FSRC_NAME VARCHAR(50),
                                       FTAR_PK VARCHAR(50),
                                       FTAR_NUMBER VARCHAR(50),
                                       FTAR_NAME VARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_CONV_RRS2')
CREATE TABLE T_ISCB_DTS_CONV_RRS2 (
                                      FID BIGINT,
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT,
                                      FMODIFIERFIELD BIGINT,
                                      FMODIFYDATEFIELD DATETIME,
                                      FNAME VARCHAR(100),
                                      FNUMBER VARCHAR(100),
                                      FRES_PK VARCHAR(50),
                                      FNEW_NAME VARCHAR(100),
                                      FNEW_NUMBER VARCHAR(100),
                                      FNEW_RES_PK VARCHAR(50),
                                      FRES_TIME DATETIME,
                                      FTYPE VARCHAR(36),
                                      FSTATE VARCHAR(50),
                                      FSTACK_TRACE NCLOB,
                                      FCONTENT NCLOB,
                                      FNEW_CONTENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_CONV_RES_FILE')
CREATE TABLE T_ISCB_DTS_CONV_RES_FILE (
                                          FID BIGINT,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ INT DEFAULT 0 NOT NULL,
                                          FTYPE VARCHAR(36),
                                          FRES_PK VARCHAR(50),
                                          FISREF VARCHAR(10),
                                          FFILE VARCHAR(150),
                                          FFILEID VARCHAR(150),
                                          FIS_NEED VARCHAR(10)
);



/**End D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
