﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATAPARAM') 
 CREATE TABLE T_ISC_DATAPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD BIGINT DEFAULT 0 NOT NULL,
FPARAM_NUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAM_TYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAM_SCHEMA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAM_REMARK NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATASCHEMA' AND KSQL_COL_NAME IN ('FPARAM_JST')) 
 ALTER TABLE T_ISC_DATASCHEMA ADD (FPARAM_JST NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATASCHEMA' AND KSQL_COL_NAME IN ('FPARAM_JST_TAG')) 
 ALTER TABLE T_ISC_DATASCHEMA ADD (FPARAM_JST_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_MSG') 
 CREATE TABLE T_ISC_MSG (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSENDOR VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_MSG_DETAIL') 
 CREATE TABLE T_ISC_MSG_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPERSON NCLOB,
FEXCUTE VARCHAR(30) DEFAULT '4' NOT NULL,
FCHANNEL VARCHAR(30) DEFAULT '1' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FMSGCONTENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_TRIGGER') 
 CREATE TABLE T_ISC_TRIGGER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_VALUE_CONVER_RULE' AND KSQL_COL_NAME IN ('FRUN_COPY_ON_MISSED')) 
 ALTER TABLE T_ISC_VALUE_CONVER_RULE ADD (FRUN_COPY_ON_MISSED CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY_FILTERS' AND KSQL_COL_NAME IN ('FFILTER_LABEL')) 
 ALTER TABLE T_ISCB_DATA_COPY_FILTERS ADD (FFILTER_LABEL VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY_SORT' AND KSQL_COL_NAME IN ('FSORT_FIELD_LABEL')) 
 ALTER TABLE T_ISCB_DATA_COPY_SORT ADD (FSORT_FIELD_LABEL NVARCHAR(100) DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME IN ('FRECORD_OID_LOG')) 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FRECORD_OID_LOG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_BILL_LOG_RELATION') 
 CREATE TABLE T_ISCB_BILL_LOG_RELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FSYSTEM BIGINT DEFAULT 0 NOT NULL,
FOID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FROLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTIME DATETIME,
FLOG_ID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTASK_ID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHEMA BIGINT DEFAULT 0 NOT NULL,
FTRIGGER BIGINT DEFAULT 0 NOT NULL,
FTASK BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
