﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COPY_EXECUTION_3') CREATE INDEX IDX_ISC_DATA_COPY_EXECUTION_3 ON T_ISC_DATA_COPY_EXECUTION ( FTASKSTAGE );

 EXEC P_ALTERPK 'PK_T_ISC_ATTACH_LOG', 'T_ISC_ATTACH_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_ATTACH_LOG') CREATE INDEX IDX_ISC_ATTACH_LOG ON T_ISC_ATTACH_LOG ( FATTACHID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ATTACH_LOG_TIME') CREATE INDEX IDX_ATTACH_LOG_TIME ON T_ISC_ATTACH_LOG ( FSTART_TIME  DESC );


 EXEC P_ALTERPK 'PK_T_ISC_ATTACHMENT', 'T_ISC_ATTACHMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_ATTACH') CREATE INDEX IDX_ISC_ATTACH ON T_ISC_ATTACHMENT ( FSRC_OID ,FSRC_ATTACH ,FSRC_CN ,FTAR_CN );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_ATTACH_TIME') CREATE INDEX IDX_ISC_ATTACH_TIME ON T_ISC_ATTACHMENT ( FUPDATED_TIME  DESC );


 EXEC p_DropIdx 'IDX_ISCB_APIC_BY_DC_TRIGGER_L_0', 'T_ISCB_APIC_BY_DC_TRIGGER_L';
 
 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_DC_TRIGGER_L', 'T_ISCB_APIC_BY_DC_TRIGGER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_DC_TRIGGER_L') CREATE INDEX IDX_ISCB_APIC_BY_DC_TRIGGER_L ON T_ISCB_APIC_BY_DC_TRIGGER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_ISC_CALL_API_LOG', 'T_ISC_CALL_API_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_CALL_API_LOG_M') CREATE INDEX IDX_ISC_CALL_API_LOG_M ON T_ISC_CALL_API_LOG ( FMETA_SCHEMA );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_CALL_API_LOG_C') CREATE INDEX IDX_ISC_CALL_API_LOG_C ON T_ISC_CALL_API_LOG ( FDATA_COPY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_CALL_API_LOG_N') CREATE INDEX IDX_ISC_CALL_API_LOG_N ON T_ISC_CALL_API_LOG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_CALL_API_LOG_STATE') CREATE INDEX IDX_ISC_CALL_API_LOG_STATE ON T_ISC_CALL_API_LOG ( FSTATE );


 EXEC P_ALTERPK 'PK_T_ISC_CUSTOM_FUNCTION_L', 'T_ISC_CUSTOM_FUNCTION_L', 'FPKID', '1';

 EXEC P_ALTERPK 'PK_T_ISC_FUNCTION_GROUP', 'T_ISC_FUNCTION_GROUP', 'FID', '1';

 EXEC P_ALTERPK 'PK_T_ISC_FUNCTION_GROUP_L', 'T_ISC_FUNCTION_GROUP_L', 'FPKID', '1';

 EXEC P_ALTERPK 'PK_T_ISC_FUNCTION_PARAM', 'T_ISC_FUNCTION_PARAM', 'FENTRYID', '1';

 EXEC P_ALTERPK 'PK_T_ISC_FUNCTION_RESULT', 'T_ISC_FUNCTION_RESULT', 'FENTRYID', '1';

 EXEC P_ALTERPK 'PK_ISC_ATTACHMENT_TEMP', 'T_ISC_ATTACHMENT_TEMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_ATTACH_TEMP_1') CREATE INDEX IDX_ISC_ATTACH_TEMP_1 ON T_ISC_ATTACHMENT_TEMP ( FNAME );

 EXEC P_ALTERPK 'PK_T_ISC_CUSTOM_FUNCTION', 'T_ISC_CUSTOM_FUNCTION', 'FID', '1';

 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_DC_TRIGGER', 'T_ISCB_APIC_BY_DC_TRIGGER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_API_DC_TRIGGRT_NUM') CREATE INDEX IDX_ISCB_API_DC_TRIGGRT_NUM ON T_ISCB_APIC_BY_DC_TRIGGER ( FNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
