﻿/**Begin D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_META_DATA' AND KSQL_COL_NAME IN ('FMAX_COUNT')) 
 ALTER TABLE T_ISCB_APIC_BY_META_DATA ADD (FMAX_COUNT BIGINT DEFAULT 1000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_META_DATA' AND KSQL_COL_NAME IN ('FIGNORE_ERROR')) 
 ALTER TABLE T_ISCB_APIC_BY_META_DATA ADD (FIGNORE_ERROR CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXTERNAL_API') 
 CREATE TABLE T_ISCB_EXTERNAL_API (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATA_SOURCE_ID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSERVICE_URL VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXTERNAL_API_IN') 
 CREATE TABLE T_ISCB_EXTERNAL_API_IN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINPUT_FIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINPUT_DATA_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINPUT_DESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXTERNAL_API_L') 
 CREATE TABLE T_ISCB_EXTERNAL_API_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXTERNAL_API_OUT') 
 CREATE TABLE T_ISCB_EXTERNAL_API_OUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOUTPUT_FIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTPUT_DATA_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTPUT_DESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_SCHEMA' AND KSQL_COL_NAME IN ('FMAX_COUNT')) 
 ALTER TABLE T_ISCB_APIC_BY_DC_SCHEMA ADD (FMAX_COUNT BIGINT DEFAULT 1000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_SCHEMA' AND KSQL_COL_NAME IN ('FIGNORE_ERROR')) 
 ALTER TABLE T_ISCB_APIC_BY_DC_SCHEMA ADD (FIGNORE_ERROR CHAR(1) DEFAULT '0' NOT NULL );

/**End D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
