﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISCB_APIC_CALLER', 'T_ISCB_APIC_CALLER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_CALLER_M') CREATE INDEX IDX_ISCB_APIC_CALLER_M ON T_ISCB_APIC_CALLER ( FMODIFYTIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_CALLER_N') CREATE INDEX IDX_ISCB_APIC_CALLER_N ON T_ISCB_APIC_CALLER ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_CALLER_L', 'T_ISCB_APIC_CALLER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_CALLER_L_I') CREATE INDEX IDX_ISCB_APIC_CALLER_L_I ON T_ISCB_APIC_CALLER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_LOG', 'T_ISCB_APIC_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_LOG_E') CREATE INDEX IDX_ISCB_APIC_LOG_E ON T_ISCB_APIC_LOG ( FEND_TIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_LOG_S') CREATE INDEX IDX_ISCB_APIC_LOG_S ON T_ISCB_APIC_LOG ( FSERVER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_LOG_C') CREATE INDEX IDX_ISCB_APIC_LOG_C ON T_ISCB_APIC_LOG ( FCALLER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_LOG_ST') CREATE INDEX IDX_ISCB_APIC_LOG_ST ON T_ISCB_APIC_LOG ( FSTATE );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_SCRIPT', 'T_ISCB_APIC_SCRIPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_N') CREATE INDEX IDX_ISCB_APIC_SCRIPT_N ON T_ISCB_APIC_SCRIPT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_S') CREATE INDEX IDX_ISCB_APIC_SCRIPT_S ON T_ISCB_APIC_SCRIPT ( FSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_M') CREATE INDEX IDX_ISCB_APIC_SCRIPT_M ON T_ISCB_APIC_SCRIPT ( FMODIFYTIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_G') CREATE INDEX IDX_ISCB_APIC_SCRIPT_G ON T_ISCB_APIC_SCRIPT ( FGROUPID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_SCRIPT_INPUT', 'T_ISCB_APIC_SCRIPT_INPUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_INPUT_I') CREATE INDEX IDX_ISCB_APIC_SCRIPT_INPUT_I ON T_ISCB_APIC_SCRIPT_INPUT ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_SCRIPT_L', 'T_ISCB_APIC_SCRIPT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_L_I') CREATE INDEX IDX_ISCB_APIC_SCRIPT_L_I ON T_ISCB_APIC_SCRIPT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_SCRIPT_OUTPUT', 'T_ISCB_APIC_SCRIPT_OUTPUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_OUTPUT_I') CREATE INDEX IDX_ISCB_APIC_SCRIPT_OUTPUT_I ON T_ISCB_APIC_SCRIPT_OUTPUT ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_SCRIPT_RES', 'T_ISCB_APIC_SCRIPT_RES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_SCRIPT_RES_I') CREATE INDEX IDX_ISCB_APIC_SCRIPT_RES_I ON T_ISCB_APIC_SCRIPT_RES ( FID );


 EXEC P_ALTERPK 'PK_ISCB_OID_LOOKUP', 'T_ISCB_OID_LOOKUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_OID_LOAED25B') CREATE INDEX IDX_ISCB_OID_LOAED25B ON T_ISCB_OID_LOOKUP ( FCREATED_TIME  DESC );


 EXEC P_ALTERPK 'PK_ISCB_DEMO_PERSON', 'T_ISCB_DEMO_PERSON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_DEMO_PERSON') CREATE INDEX IDX_ISCB_DEMO_PERSON ON T_ISCB_DEMO_PERSON ( FNUMBER ,FPHONE );


 EXEC P_ALTERPK 'PK_ISCB_DEMO_PERSON_L', 'T_ISCB_DEMO_PERSON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_DEMO_PERSON_L') CREATE INDEX IDX_ISCB_DEMO_PERSON_L ON T_ISCB_DEMO_PERSON_L ( FID ,FNAME );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_PERMISSION', 'T_ISCB_APIC_PERMISSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_PERMISSION_C') CREATE INDEX IDX_ISCB_APIC_PERMISSION_C ON T_ISCB_APIC_PERMISSION ( FAPI_CALLER ,FAPI_TYPE ,FAPI_REF );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_PERMISSION_T') CREATE INDEX IDX_ISCB_APIC_PERMISSION_T ON T_ISCB_APIC_PERMISSION ( FCREATED_TIME  DESC );


 EXEC P_ALTERPK 'PK_T_ISCB_TMP_MAIN', 'T_ISCB_TMP_MAIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_T_MAIN_TIME') CREATE INDEX IDX_ISC_T_MAIN_TIME ON T_ISCB_TMP_MAIN ( FTIME  DESC );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
