﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_EX_TRIGGER_PARAMS') 
 CREATE TABLE T_ISC_EX_TRIGGER_PARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMS_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMS_LABEL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAMS_DATA_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMS_VALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_FILE_FILTER') 
 CREATE TABLE T_ISCB_EXPORT_FILE_FILTER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLEFT_BRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_COLUMN NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFILTER_LABEL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCOMPARE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE_VAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE_FIXED NVARCHAR(225) DEFAULT ' ' NOT NULL,
FRIGHT_BRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLINK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_FILE_ORDER') 
 CREATE TABLE T_ISCB_EXPORT_FILE_ORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSORT_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSORT_FIELD_LABEL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMBOFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_FILE_PARAM') 
 CREATE TABLE T_ISCB_EXPORT_FILE_PARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMS_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMS_LABEL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDATA_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_JOB_PARAMS') 
 CREATE TABLE T_ISCB_EXPORT_JOB_PARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMS_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMS_LABEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMS_DATA_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMS_VALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_TRIGGER') 
 CREATE TABLE T_ISCB_EXPORT_TRIGGER (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFILESCHEMA BIGINT DEFAULT 0 NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FFILETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILESIZE INT DEFAULT 0 NOT NULL,
FCOMPRESS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_IMPORT_FILE_ACT') 
 CREATE TABLE T_ISCB_IMPORT_FILE_ACT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAR_ACTION_LABEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTAR_ACTION_NUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTAR_ACTION_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_IMPORT_FILE_INPUT') 
 CREATE TABLE T_ISCB_IMPORT_FILE_INPUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FIS_JUDGE_KEY CHAR(1) DEFAULT ' ' NOT NULL,
FIS_PRIMARY_KEY CHAR(1) DEFAULT ' ' NOT NULL,
FIS_REQUIRED CHAR(1) DEFAULT ' ' NOT NULL,
FINPUT_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINPUT_DATA_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINPUT_DESCRIPTION NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_IMPORT_FILE_LOG') 
 CREATE TABLE T_ISCB_IMPORT_FILE_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FIMPORT_FILE_JOB BIGINT DEFAULT 0 NOT NULL,
FIMPORT_TRIGGER BIGINT DEFAULT 0 NOT NULL,
FIMPORT_SCHEMA BIGINT DEFAULT 0 NOT NULL,
FSERVER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATED_TIME DATETIME,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB,
FDATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_FILE') 
 CREATE TABLE T_ISCB_EXPORT_FILE (
FID BIGINT DEFAULT 0 NOT NULL,
FEXPORT_SOURCE BIGINT DEFAULT 0 NOT NULL,
FEXPORT_SOURCE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRC_RETRIEVE_SCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRC_RETRIEVE_SCRIPT_TAG NCLOB,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_FILE_FIELD') 
 CREATE TABLE T_ISCB_EXPORT_FILE_FIELD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINPUT_FIELD NVARCHAR(150) DEFAULT ' ' NOT NULL,
FINPUT_DATA_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINPUT_DESCRIPTION NVARCHAR(250) DEFAULT ' ' NOT NULL,
FALIAS NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_EXPORT_FILE_JOB') 
 CREATE TABLE T_ISCB_EXPORT_FILE_JOB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTAL_COUNT INT DEFAULT 0 NOT NULL,
FEXPORT_TRIGGER BIGINT DEFAULT 0 NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FMODIFYTIME DATETIME,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FIGNORED_COUNT INT DEFAULT 0 NOT NULL,
FDEAL_BYTES BIGINT DEFAULT 0 NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB,
FSUCCESS_COUNT INT DEFAULT 0 NOT NULL,
FFILESCHEMA BIGINT DEFAULT 0 NOT NULL,
FFAILED_COUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_IMPORT_FILE') 
 CREATE TABLE T_ISCB_IMPORT_FILE (
FID BIGINT DEFAULT 0 NOT NULL,
FIMPORT_TARGET_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FIMPORT_TARGET BIGINT DEFAULT 0 NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROXY_USER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FTARGET_SCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARGET_SCRIPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_IMPORT_FILE_JOB') 
 CREATE TABLE T_ISCB_IMPORT_FILE_JOB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPORT_TRIGGER BIGINT DEFAULT 0 NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FMODIFYTIME DATETIME,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FTOTAL_COUNT INT DEFAULT 0 NOT NULL,
FSUCCESS_COUNT INT DEFAULT 0 NOT NULL,
FIGNORED_COUNT INT DEFAULT 0 NOT NULL,
FDEAL_BYTES BIGINT DEFAULT 0 NOT NULL,
FMESSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB,
FFILESCHEMA BIGINT DEFAULT 0 NOT NULL,
FFAILED_COUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_IMPORT_TRIGGER') 
 CREATE TABLE T_ISCB_IMPORT_TRIGGER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILESCHEMA BIGINT DEFAULT 0 NOT NULL,
FFILETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCH_SIZE INT DEFAULT 0 NOT NULL,
FTRACE_ALL CHAR(1) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
